int ledPin = 7;                // choose the pin for the LED
int inputPin = 4;               // choose the input pin (for PIR sensor)
int detection = 0;                    // variable for reading the pin status
 
void setup() {
  pinMode(ledPin, OUTPUT);      // declare LED as output
  pinMode(inputPin, INPUT);     // declare sensor as input
  Serial.begin(9600);
}
 
void loop(){
  detection = digitalRead(inputPin);  // read input value
  if (detection == HIGH) {            // check if the input is HIGH
    digitalWrite(ledPin, HIGH);  // turn LED ON
    Serial.println("Motion detected!");
  }
  else {
    digitalWrite(ledPin, LOW); // turn LED OFF
    Serial.println("Motion ended!");
  }
  delay (500);
}
